## 2016

=== MapGen/Makefile ===

all:
	clang -std=c99 -Os -D_XOPEN_SOURCE -lbsd mapgen.c -o mapgen

clean:
	rm -rf *.o mapgen

=== prologin.nul/c/Makefile ===
# -*- Makefile -*-

lib_TARGETS = champion

# Tu peux rajouter des fichiers sources, headers, ou changer
# des flags de compilation.
champion-srcs = prologin.c
champion-dists =
champion-cflags = -ggdb3 -Wall -Wextra -std=c99 -W -pedantic

# Evite de toucher a ce qui suit
champion-dists += prologin.h interface.hh
champion-srcs += interface.cc
STECHEC_LANG=c
include ../includes/rules.mk

=== prologin/c/Makefile ===
# -*- Makefile -*-

lib_TARGETS = champion

# Tu peux rajouter des fichiers sources, headers, ou changer
# des flags de compilation.
champion-srcs = prologin.c
champion-dists = macros.h
champion-cflags = -ggdb3 -Wall -Wextra -std=c11

# Evite de toucher a ce qui suit
champion-dists += prologin.h interface.hh
champion-srcs += interface.cc
STECHEC_LANG=c
include ../includes/rules.mk

=== prologin.nul/c/prologin2016/gui/Makefile ===
lib_TARGETS = gui

gui-dists = prologin.py

gui-dists += api.py interface.hh
gui-srcs = interface.cc

gui-cxxflags = -fPIC $(shell python3-config --includes)
gui-ldflags = -s $(shell python3-config --ldflags)

STECHEC_LANG=python
include ../includes/rules.mk

=== prologin.nul/c/prologin2016/gui/PKGBUILD ===
# Maintainer: Prologin <serveur@prologin.org>
# Contributor: Prologin <serveur@prologin.org>

pkgname=stechec2-prologin2016-gui
pkgver=2016_0.1
pkgrel=2
pkgdesc="Stechec2 with Prologin 2016 GUI"
arch=('i686' 'x86_64')
url="https://prologin.org/"
license=('GPL')
provides=('prologin2016-gui')
depends=('stechec2' 'python-aiohttp')
makedepends=('git')
source=("git+https://bitbucket.org/prologin/prologin2016")
sha512sums=(SKIP)

build() {
    cd "$srcdir/prologin2016/spectators/gui"
    make
}

package() {
    cd "$srcdir/prologin2016/spectators"
    mkdir -p "$pkgdir/usr/share/stechec2/prologin2016/"
    cp -r gui "$pkgdir/usr/share/stechec2/prologin2016/"
    install -Dm755  gui/replay.py "$pkgdir/usr/bin/prologin2016-replay"
}
